
<section class="position-relative py-2 py-xl-3">
    <div class="container">
        <div class="row mb-4">
            <div class="col-md-8 col-xl-6 text-center mx-auto">
                <h2>¡Bienvenido!</h2>
            </div>
        </div>
        <div class="row d-flex justify-content-center">
            <div class="col-sm-8 col-md-6 col-xl-4">
                <div class="card mb-5 containerRegistrar">
                    <div class="card-body d-flex flex-column align-items-center">
                        <div class="bs-icon-xl bs-icon-circle bs-icon-primary bs-icon my-4">
                            <img src="../../../assets/icons/logo.png" alt="logo">
                        </div>
                <div class="card-body">
                    <form class="text-center" method="post" [formGroup]="registerForm" (ngSubmit)="register()">
                        <div class="form-row">
                            <div class="mb-3 form-group">
                                <input type="email" formControlName="email" class="form-control" placeholder="Ingrese su email" required>
                            </div>
                            <div class="mb-3">
                                <input type="text" formControlName="nombre" class="form-control" placeholder="Ingrese su nombre" required>                            
                            </div>
                            <div class="mb-3">
                                <input type="text" formControlName="apellido" class="form-control" placeholder="Ingrese su apellido" required>                            
                            </div>
                            <div class="mb-3">
                                <input type="text" formControlName="direccion" class="form-control" placeholder="Ingrese su direccion" required>                            
                            </div>
                            <div class="mb-3">
                                <input type="password" formControlName="contrasena" class="form-control" placeholder="Ingrese su contraseña" required>                            
                            </div>
                            <div class="mb-3">
                                <input type="number" formControlName="dni" class="form-control" placeholder="Ingrese su dni" required>                            
                            </div>
                            <div class="mb-3">
                                <input type="number" formControlName="telefono" class="form-control" placeholder="Ingrese su telefono" required>                            
                            </div>
                            <div class="mb-3">
                                <input type="text" formControlName="rol" class="form-control" placeholder="Ingrese su rol" required>                            
                            </div>
                            <button  class="btn btn-primary d-block w-100" type="submit">Crear Cuenta</button>
                    </div>
                    </form>
                </div>
                <div class="text-center">
                    <a href="/auth/login" class="text-muted">¿Ya tenés cuenta? Logueate</a>
                </div>
            </div>
        </div>
    </div>
    </div>
    </div>
</section>